# Ad Account Subscribed Apps
## Reading
Get list of apps subscribed to the ad account
#### Example
### HTTP
```
GET /v25.0/{ad-account-id}/subscribed_apps HTTP/1.1
Host: graph.facebook.com
```
### PHP SDK
```
/* PHP SDK v5.0.0 */
/* make the API call */
try {
// Returns a `Facebook\FacebookResponse` object
$response = $fb->get(
'/{ad-account-id}/subscribed_apps',
'{access-token}'
);
} catch(Facebook\Exceptions\FacebookResponseException $e) {
echo 'Graph returned an error: ' . $e->getMessage();
exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
echo 'Facebook SDK returned an error: ' . $e->getMessage();
exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
```
### JavaScript SDK
```
/* make the API call */
FB.api(
"/{ad-account-id}/subscribed_apps",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);
```
### Android SDK
```
/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{ad-account-id}/subscribed_apps",
null,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();
```
### iOS SDK
```
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{ad-account-id}/subscribed_apps"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];
```
Try it in [Graph API Explorer](https://developers.facebook.com/tools/explorer/?method=GET&path=%7Bad-account-id%7D%2Fsubscribed_apps&version=v25.0)
If you want to learn how to use the Graph API, read our [Using Graph API guide](https://developers.facebook.com/docs/graph-api/using-graph-api)
#### Parameters
This endpoint doesn't have any parameters.
#### Fields
Reading from this edge will return a JSON formatted result:
```
{
"data": [],
"paging": {}
}
```
##### data
A list of AdAccountSubscribedApps nodes.
##### paging
For more details about pagination, see the [Graph API guide](https://developers.facebook.com/docs/graph-api/using-graph-api#paging).
#### Error Codes
| Error Code | Description |
| --- | --- |
| 200 | Permissions error |
| 80004 | There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting#ads-management. |
## Creating
You can't perform this operation on this endpoint.
## Updating
### /act_{ad_account_id}/subscribed_apps
You can update an [Application](https://developers.facebook.com/docs/graph-api/reference/application) by making a POST request to [/act_{ad_account_id}/subscribed_apps](https://developers.facebook.com/documentation/ads-commerce/marketing-api/reference/ad-account/subscribed_apps).
#### Parameters
| Parameter | Description |
| --- | --- |
| `app_id`<br><br>*string* | the id of app to be subscribed from ad account<br> |
#### Return Type
This endpoint supports [read-after-write](https://developers.facebook.com/docs/graph-api/overview#read-after-write) and will read the node represented by *id* in the return type.
```
Struct {
success: bool,
}
```
#### Error Codes
| Error Code | Description |
| --- | --- |
| 100 | Invalid parameter |
| 200 | Permissions error |
## Deleting
### /act_{ad_account_id}/subscribed_apps
You can dissociate an [Application](https://developers.facebook.com/docs/graph-api/reference/application) from an [AdAccount](https://developers.facebook.com/documentation/ads-commerce/marketing-api/reference/ad-account) by making a DELETE request to [/act_{ad_account_id}/subscribed_apps](https://developers.facebook.com/documentation/ads-commerce/marketing-api/reference/ad-account/subscribed_apps).
#### Parameters
| Parameter | Description |
| --- | --- |
| `app_id`<br><br>*string* | the id of app to be unsubscribed from ad account<br> |
#### Return Type
```
Struct {
success: bool,
}
```
#### Error Codes
| Error Code | Description |
| --- | --- |
| 100 | Invalid parameter |